package com.bril.webfile;

import android.content.Intent;
import android.os.Bundle;
import android.support.annotation.Nullable;
import android.support.v7.app.AppCompatActivity;
import android.view.View;
import android.view.Window;
import android.widget.AdapterView;
import android.widget.LinearLayout;
import android.widget.ListView;

import com.bril.webfile.adapter.FileAdapter;
import com.bril.webfile.net.client.FileClient;
import com.bril.webfile.response.FileResponse;

import java.util.List;

import io.reactivex.android.schedulers.AndroidSchedulers;
import io.reactivex.functions.Consumer;
import io.reactivex.schedulers.Schedulers;

/**
 * Created by Xinghx on 2018/6/14
 */

public class FileActivity extends AppCompatActivity implements AdapterView.OnItemClickListener {
    private static final String TAG = "FileActivity";
    private List<FileResponse> fileBean;


    private LinearLayout file_img_backs;
    private ListView fileLv;
    private FileAdapter fileAdapter;

    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        requestWindowFeature(Window.FEATURE_NO_TITLE);
        setContentView(R.layout.activity_file_layout);
        fileLv = (ListView) findViewById(R.id.file_lv);
        file_img_backs = (LinearLayout) findViewById(R.id.file_img_backs);

        file_img_backs.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                finish();
            }
        });
        String userId = getIntent().getStringExtra("userId");
        String moduleName = getIntent().getStringExtra("moduleName");
        FileClient fileClient = new FileClient();
        fileClient.fileList(userId, moduleName)
                .observeOn(AndroidSchedulers.mainThread())
                .subscribeOn(Schedulers.io())
                .subscribe(new Consumer<List<FileResponse>>() {
                    @Override
                    public void accept(List<FileResponse> fileResponse) throws Exception {
                        FileActivity.this.fileBean = fileResponse;
                        fileAdapter = new FileAdapter(fileResponse);
                        fileLv.setAdapter(fileAdapter);
                        fileLv.setOnItemClickListener(FileActivity.this);
                    }
                }, new Consumer<Throwable>() {
                    @Override
                    public void accept(Throwable throwable) throws Exception {
                        throwable.printStackTrace();
                    }
                });
//        fileClient.nextCloud(userId, "2")
//                .observeOn(AndroidSchedulers.mainThread())
//                .subscribeOn(Schedulers.io())
//                .subscribe(new Consumer<NextCloudResponse>() {
//                    @Override
//                    public void accept(NextCloudResponse nextCloudResponses) throws Exception {
//                        List<NextCloudResponse.ListBean> list = nextCloudResponses.getList();
//                        for (NextCloudResponse.ListBean listBean : list) {
//                            ChildrenBeans childrenBeans = new ChildrenBeans();
//                            String type = listBean.getType();
//                            String name = listBean.getName();
//                            childrenBeans.setName(name);
//                            childrenBeans.setType(type);
//                            childrenBeansList.add(childrenBeans);
//                            addData(listBean.getChildren());
//                        }
//                        Log.d(TAG, "" + childrenBeansList.size());
//                        for (ChildrenBeans childrenBeans : childrenBeansList) {
//                            Log.e(TAG, childrenBeans.toString() );
//                        }
//
//                        SimpleTreeListViewAdapter simpleTreeListViewAdapter
//                                = new SimpleTreeListViewAdapter(fileLv, FileActivity.this, childrenBeansList, 1);
//                        fileLv.setAdapter(simpleTreeListViewAdapter);
//
//                    }
//                }, new Consumer<Throwable>() {
//                    @Override
//                    public void accept(Throwable throwable) throws Exception {
//                        throwable.printStackTrace();
//                    }
//                });
    }





    @Override
    public void onItemClick(AdapterView<?> parent, View view, int position, long id) {
        FileResponse fileResponse = fileBean.get(position);
        String fileId = fileResponse.getId();
        String file_name = fileResponse.getFile_name();
        String file_path = fileResponse.getFile_path();

        Intent intent = new Intent();
        intent.putExtra("fileId", fileId);
        intent.putExtra("fileName", file_name);
        intent.putExtra("filePath", file_path);
        setResult(0x012, intent);

        finish();
    }
}
