package com.bril.webfile.adapter;

import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.ImageView;
import android.widget.TextView;

import com.bril.webfile.R;
import com.bril.webfile.response.FileResponse;

import java.util.List;


/**
 * Created by Xinghx on 2018/4/11 0011.
 */

public class FileAdapter extends BaseAdapter {

    private List<FileResponse> fileModels;

    public FileAdapter(List<FileResponse> fileModels) {
        this.fileModels = fileModels;
    }

    @Override
    public int getCount() {
        return fileModels.size();
    }

    @Override
    public Object getItem(int position) {
        return null;
    }

    @Override
    public long getItemId(int position) {
        return 0;
    }

    @Override
    public View getView(int position, View convertView, ViewGroup parent) {
        ViewHolder viewHolder;
        if (convertView == null) {
            convertView = LayoutInflater.from(parent.getContext()).inflate(R.layout.item_file, parent, false);
            viewHolder = new ViewHolder(convertView);
            convertView.setTag(viewHolder);
        } else {
            viewHolder = (ViewHolder) convertView.getTag();
        }
        String file_name = fileModels.get(position).getFile_name();
        int i = file_name.lastIndexOf(".");
        if (file_name.endsWith("doc") || file_name.endsWith("docx")) {
            viewHolder.file_icon.setImageResource(R.drawable.word);

        } else if (file_name.endsWith("xlsx")) {
            viewHolder.file_icon.setImageResource(R.drawable.excel);
        } else {
            viewHolder.file_icon.setImageResource(R.drawable.unknow);
        }
        viewHolder.fileName.setText(file_name);

        viewHolder.fileTime.setText(fileModels.get(position).getFile_path());
        return convertView;
    }

    class ViewHolder{
        TextView fileName,fileTime;
        ImageView file_icon;
        public ViewHolder(View view) {
            fileName = view.findViewById(R.id.file_name);
            fileTime = view.findViewById(R.id.file_time);
            file_icon = view.findViewById(R.id.file_icon);
        }
    }
}
