package com.bril.webfile.net.client;


import com.bril.webfile.net.Constant;
import com.bril.webfile.net.api.FileAPI;
import com.bril.webfile.response.FileResponse;
import com.bril.webfile.response.NextCloudResponse;

import java.util.List;

import io.reactivex.Observable;
import retrofit2.Call;
import retrofit2.Retrofit;
import retrofit2.adapter.rxjava2.RxJava2CallAdapterFactory;
import retrofit2.converter.gson.GsonConverterFactory;

/**
 * Created by Xinghx on 2018/4/11 0011.
 */

public class FileClient extends BaseClient {
    private FileAPI fileAPI = new Retrofit.Builder()
            .baseUrl(Constant.SWAGGERURL)
            .client(getClient())
            .addCallAdapterFactory(RxJava2CallAdapterFactory.create())
            .addConverterFactory(GsonConverterFactory.create())
            .build()
            .create(FileAPI.class);

    public Observable<List<FileResponse>> fileList(String userId, String moduleName) {
        return fileAPI.fileModel(userId,moduleName);
    }

    public Call<NextCloudResponse> nextCloud(String userId, String moduleName) {
        return fileAPI.nextCloud(userId,moduleName,false);
    }

}
