package com.bril.webfile.treeview.adapter;

import android.content.Context;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.ListView;
import android.widget.TextView;

import com.bril.webfile.R;
import com.bril.webfile.treeview.node.Node;

import java.util.List;

/**
 * Created by Xinghx on 2018/6/25 0025.
 */

public class SimpleTreeListViewAdapter extends TreeViewAdapter {

    public SimpleTreeListViewAdapter(ListView tree, Context context, List datas, int defaultLevel) throws IllegalAccessException {

        super(tree, context, datas, defaultLevel);
    }

    @Override
    public View getConvertView(Node node, int position, View convertView, ViewGroup parent) {
        ViewHolder viewHolder = null;
        if (convertView == null) {
            convertView = mInflater.inflate(R.layout.list_item, parent, false);
            viewHolder = new ViewHolder();
            viewHolder.mIcon = convertView.findViewById(R.id.id_item_icon);
            viewHolder.mText = convertView.findViewById(R.id.id_item_text);
            convertView.setTag(viewHolder);
        } else {
            viewHolder = (ViewHolder) convertView.getTag();
        }
        if (node.getIcon() == -1) {
            viewHolder.mIcon.setVisibility(View.INVISIBLE);
        } else {
            viewHolder.mIcon.setVisibility(View.VISIBLE);
            viewHolder.mIcon.setImageResource(node.getIcon());
        }
        String name = node.getName();
        int i = name.lastIndexOf("/");
        String realName = name.substring(i + 1, name.length());
        viewHolder.mText.setText(realName);
//        if (i == -1) {
//            viewHolder.mText.setText(name);
//        } else {
//
//        }

        return convertView;
    }

    public class ViewHolder{
        ImageView mIcon;
        TextView mText;

    }
}
