package com.bril.webfile.treeview.node;

import java.util.ArrayList;
import java.util.List;

/**
 * Created by Xinghx on 2018/6/25 0025.
 */

public class Node {

    private String id;
    private String pId = "0";
    private String name; // 文件的名字
    private String type = "folder"; // 属于文件还是文件夹

    private int level; // 树的深度

    private boolean isExpand; // 是否展开
    private int icon;
    private Node parent;
    private List<Node> children = new ArrayList<>();

    public Node() {
    }

    public Node(String pId, String name, String type) {
        this.pId = pId;
        this.name = name;
        this.type = type;
    }

    public Node(String name, String type) {
        this.name = name;
        this.type = type;
    }

    /**
     * 是否是根节点
     * @return
     */
    public boolean isRoot() {
        return parent == null;
    }


    public boolean isParentExpand() {
        if (parent == null) return false;

        return parent.isExpand();
    }

    /**
     * 是否是文件夹
     * @return
     */
    public boolean isFolder() {
        return "folder".equals(getType());
    }

    public boolean isFile() {
        return "file".equals(getType());
    }

    /**
     * 是否是叶子节点
     * @return
     */
    public boolean isLeaf() {
        return children.size() == 0;
    }


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getpId() {
        return pId;
    }

    public void setpId(String pId) {
        this.pId = pId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    /**
     * 得到当前节点的层级
     * @return
     */
    public int getLevel() {
        return parent == null ? 0 : parent.getLevel() + 1;
    }

    public void setLevel(int level) {
        this.level = level;
    }

    public boolean isExpand() {
        return isExpand;
    }

    public void setExpand(boolean expand) {
        isExpand = expand;
        if (!isExpand) {
            for (Node node : children) {
                node.setExpand(false);
            }
        }
    }

    public int getIcon() {
        return icon;
    }

    public void setIcon(int icon) {
        this.icon = icon;
    }

    public Node getParent() {
        return parent;
    }

    public void setParent(Node parent) {
        this.parent = parent;
    }

    public List<Node> getChildren() {
        return children;
    }

    public void setChildren(List<Node> children) {
        this.children = children;
    }
}
